# DataExchange
TKIGES
IGESBasic

# IGESBasic_HArray2OfHArray1OfReal Class Reference

`#include <IGESBasic_HArray2OfHArray1OfReal.hxx>`

## Public Member Functions

Standard_EXPORT | IGESBasic_HArray2OfHArray1OfReal (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | IGESBasic_HArray2OfHArray1OfReal (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Handle(TColStd_HArray1OfReal)&V)
Standard_EXPORT void | Init (const Handle(TColStd_HArray1OfReal)&V)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Handle(TColStd_HArray1OfReal)&Value)
Standard_EXPORT const Handle_TColStd_HArray1OfReal & | Value (const Standard_Integer Row, const Standard_Integer Col) const
Standard_EXPORT Handle_TColStd_HArray1OfReal & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
const IGESBasic_Array2OfHArray1OfReal & | Array2 () const
IGESBasic_Array2OfHArray1OfReal & | ChangeArray2 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

IGESBasic_Array2OfHArray1OfReal | myArray

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_HArray2OfHArray1OfReal::IGESBasic_HArray2OfHArray1OfReal | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT IGESBasic_HArray2OfHArray1OfReal::IGESBasic_HArray2OfHArray1OfReal | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Handle(TColStd_HArray1OfReal)& | V
| ) |

## Member Function Documentation

const IGESBasic_Array2OfHArray1OfReal& IGESBasic_HArray2OfHArray1OfReal::Array2 | ( |  | ) | const

IGESBasic_Array2OfHArray1OfReal& IGESBasic_HArray2OfHArray1OfReal::ChangeArray2 | ( |  | ) |

Standard_EXPORT Handle_TColStd_HArray1OfReal& IGESBasic_HArray2OfHArray1OfReal::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer IGESBasic_HArray2OfHArray1OfReal::ColLength | ( |  | ) | const

Standard_EXPORT const IGESBasic_HArray2OfHArray1OfReal::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void IGESBasic_HArray2OfHArray1OfReal::Init | ( | const Handle(TColStd_HArray1OfReal)& | V | ) |

Standard_Integer IGESBasic_HArray2OfHArray1OfReal::LowerCol | ( |  | ) | const

Standard_Integer IGESBasic_HArray2OfHArray1OfReal::LowerRow | ( |  | ) | const

Standard_Integer IGESBasic_HArray2OfHArray1OfReal::RowLength | ( |  | ) | const

void IGESBasic_HArray2OfHArray1OfReal::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Handle(TColStd_HArray1OfReal)& | Value
| ) |

Standard_Integer IGESBasic_HArray2OfHArray1OfReal::UpperCol | ( |  | ) | const

Standard_Integer IGESBasic_HArray2OfHArray1OfReal::UpperRow | ( |  | ) | const

Standard_EXPORT const Handle_TColStd_HArray1OfReal& IGESBasic_HArray2OfHArray1OfReal::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

IGESBasic_Array2OfHArray1OfReal IGESBasic_HArray2OfHArray1OfReal::myArray `[private]`

The documentation for this class was generated from the following file:

- IGESBasic_HArray2OfHArray1OfReal.hxx